Bug 1436333 - Uninstall fails with No such file or directory: '/var/run/ipa/services.list'
Summary: Uninstall fails with No such file or directory: '/var/run/ipa/services.list'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Sudhir Menon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 16:52 UTC by Petr Vobornik
Modified: 2017-08-01 09:46 UTC (History)
6 users (show)

Fixed In Version: ipa-4.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-03-27 16:52:38 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6715

Unattended uninstall of a replica is failing because serves.list is missing. The same file exists on the first server.

```
# ipa-server-install --uninstall --unattended
Updating DNS system records
-----------------------------------------
Deleted IPA server "replica1.ipa.example"
-----------------------------------------
Shutting down all IPA services
Unconfiguring ntpd
ipa         : ERROR    [Errno 2] No such file or directory: '/var/run/ipa/services.list'
```

Version
```
# rpm -qa freeipa-server
freeipa-server-4.4.90.dev201702241512+gite2d1b21-0.fc25.x86_64
```

Comment 2 Petr Vobornik 2017-03-27 16:52:55 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6715

Comment 5 Sudhir Menon 2017-05-25 11:50:42 UTC
Tested on RHEL7.4

[root@replica ~]# rpm -q ipa-server krb5-server selinux-policy sssd pki-server pki-ca 389-ds-base
ipa-server-4.5.0-13.el7.x86_64
krb5-server-1.15.1-8.el7.x86_64
selinux-policy-3.13.1-151.el7.noarch
sssd-1.15.2-35.el7.x86_64
pki-server-10.4.1-4.el7.noarch
pki-ca-10.4.1-4.el7.noarch
389-ds-base-1.3.6.1-14.el7.x86_64


[root@replica ~]#  ipa-server-install --uninstall --unattended
Updating DNS system records
------------------------------------------
Deleted IPA server "replica.testrelm.test"
------------------------------------------
Shutting down all IPA services
Unconfiguring ntpd
Configuring certmonger to stop tracking system certificates for KRA
Configuring certmonger to stop tracking system certificates for CA
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa-custodia
Unconfiguring ipa-otpd
Removing IPA client configuration
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and LDAP configurations
Redundant SSSD configuration file /etc/sssd/sssd.conf was moved to /etc/sssd/sssd.conf.deleted
Restoring client configuration files
Unconfiguring the NIS domain.
nscd daemon is not installed, skip configuration
nslcd daemon is not installed, skip configuration
Systemwide CA database updated.
Client uninstall complete.
The ipa-client-install command was successful

Comment 6 errata-xmlrpc 2017-08-01 09:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.